Skip to main content
PUT
Update task

Authorizations

Authorization
string
header
required

Service (M2M) access token issued by POST /auth/token using the client_credentials grant. Required scopes, where known, are listed on each operation below.

Path Parameters

id
string
required
Required string length: 1 - 64

Body

application/json
status
enum<string>
Available options:
draft,
requested,
received,
accepted,
rejected,
ready,
cancelled,
in-progress,
on-hold,
failed,
completed,
entered-in-error
intent
enum<string>
Available options:
unknown,
proposal,
plan,
order,
original-order,
reflex-order,
filler-order,
instance-order,
option
priority
enum<string>
Available options:
routine,
urgent,
asap,
stat
code
object
description
string | null
Maximum string length: 2000
focus
object
for
object
for_id
string
Required string length: 1 - 64
requester
object
owner
object
execution_period
object
authored_on
string
Pattern: ^\d{4}(?:-\d{2}(?:-\d{2}(?:T\d{2}:\d{2}:\d{2}(?:\.\d+)?(?:Z|[+-]\d{2}:\d{2}))?)?)?$

Response

Updated

data
object
required
request_id
string
required